MeiroDocs

Events

Required feature (one of):

Section: Group Events. Base URL: https://instance_name.meiro.io/api/.

Events [/events{?limit,offset,order_by,order_dir,show_hidden,load_full_structure}]

List All Events [GET]

Required feature (one of):

  • settings/cdp_entities

  • data/events

  • data/dashboard

  • customers/detail

  • Parameters

    • limit (number, optional) - Limit of the number of records returned
    • offset (number, optional) - Offset for the number of records returned
    • order_by (string, optional) - Ordered column name
    • order_dir (string, optional) - Ordering direction
    • show_hidden (integer, optional) - Result will include hidden events if set to 1
    • load_full_structure (number, optional) - Full data structure return flag
  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "events": [
        {
            "id": "100",
            "source_id": "200",
            "type": "type",
            "version": "1.0",
            "name": "test",
            "description": "test",
            "schema": {"title": "test", "display": []}",
            "is_hidden": 0,
            "is_system": 0,
            "examples": [
                {"payload": "example"}
            ],
            "ttl": 0,
            "ttl_mutable": 0,
            "priority": 0,
            "modified": "2018-11-07T10:19:48Z",
            "created": "2018-11-07T10:19:48Z"
        }
    ],
    "selection_settings": {
        "limit": 20,
        "offset": null,
        "order_by": "id",
        "order_dir": "ASC",
        "show_hidden": false
    }
}

Create an Event [POST]

Required feature: settings/cdp_entities

  • Attributes

    • id: event_id (string)
    • source_id: source_id (string)
    • type: event type (string)
    • version: event version (string)
    • name: event name (string)
    • description: event description (string, optional)
    • schema (EventSchema)
    • is_hidden: 0 (number, optional)
    • ttl: 0 (number)
    • ttl_mutable: 0 (number)
    • priority: 0 (number)
  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 201 (application/json)

{
    "event": {
        "id": "event_id",
        "source_id": "source_id",
        "type": "event type",
        "version": "event version",
        "name": "event name",
        "description": "event description",
        "schema": {"title": "test", "display": []}",
        "is_hidden": 0,
        "is_system": 0,
        "ttl": 0,
        "ttl_mutable": 0,
        "priority": 0,
        "modified": "2017-01-01 15:35:00",
        "created": "2017-01-01 15:35:00"
    }
}

Event [/events/{event_id}]

Modify an Event [PATCH]

Required feature: settings/cdp_entities

  • Attributes

    • name: event name (string, optional)
    • schema (EventSchema, optional)
    • description: event description (string, optional)
  • Request (application/json)

    • Headers

      X-Access-Token: 1234567890abcdef

  • Response 200 (application/json)

{
    "event": {
        "id": "event_id",
        "source_id": "source_id",
        "type": "event type",
        "version": "event version",
        "name": "event name",
        "description": "event description",
        "schema": {"title": "test", "display": []}",
        "is_hidden": 0,
        "is_system": 0,
        "ttl": 0,
        "ttl_mutable": 0,
        "priority": 0,
        "modified": "2017-01-01 15:35:00",
        "created": "2017-01-01 15:35:00"
    }
}

On this page